<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-openfin](./foundation-openfin.md) &gt; [OpenfinNotificationListener](./foundation-openfin.openfinnotificationlistener.md) &gt; [notificationsPlatform](./foundation-openfin.openfinnotificationlistener.notificationsplatform.md)

## OpenfinNotificationListener.notificationsPlatform property

> This API is provided as a beta preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

**Signature:**

```typescript
notificationsPlatform: NotificationsPlatform;
```

## Remarks

Config for registering a workspace with the Openfin notifications component

## Example

Create your notifications platform constant

```ts
const notificationsPlatform: NotificationsPlatform = {
  id: 'platform-id', // the id of your openfin workspace
  icon: 'https://localhost:8080/path/to/icon.svg', // the url to the icon for your workspace
  title: 'Platform title' // the platform title which will appear in notifications
}
```
Setting the property in an html view template

```html
<openfin-notifications-listener
  ...
  :notificationsPlatform="${() => notificationsPlatform}"
>
</openfin-notifications-listener>
```

